import { WebCellProps, VNodeChildElement } from 'web-cell';
import { TimeData } from 'web-utility/source/date';
import { CalendarTableProps } from './CalendarTable';
export interface MonthCalendarProps extends WebCellProps {
    date?: TimeData;
    dateTemplate?: string;
    weekDays?: CalendarTableProps['weekDays'];
    renderCell?: (date: Date) => VNodeChildElement;
}
interface MonthCalendarState {
    dayGrid: number[][];
}
declare const MonthCalendar_base: import("web-cell").WebCellClass<MonthCalendarProps, MonthCalendarState>;
export declare class MonthCalendar extends MonthCalendar_base {
    state: {
        dayGrid: any[];
    };
    set date(date: TimeData);
    dateTemplate: string;
    weekDays: string[];
    renderCell: MonthCalendarProps['renderCell'];
    connectedCallback(): void;
    static createDayGrid(date: Date): any;
    renderRow(row: number[], index: number): any[];
    render({ date, dateTemplate, weekDays }: MonthCalendarProps, { dayGrid }: MonthCalendarState): any;
}
export {};
