import { WebCellProps, VNodeChildElement, VNode } from 'web-cell';
import type { HTMLHyperLinkProps } from 'web-utility';
import { CommonColors } from '../utility/constant';
export interface ListItemProps extends WebCellProps, HTMLHyperLinkProps {
    color?: CommonColors;
    disabled?: boolean;
    active?: boolean;
}
export declare function ListItem({ className, color, disabled, active, tabIndex, defaultSlot, ...rest }: ListItemProps): any;
export declare function isListItem(node: VNodeChildElement): node is VNode;
export interface ListGroupProps extends WebCellProps {
    flush?: boolean;
    horizontal?: boolean | 'sm' | 'md' | 'lg' | 'xl';
}
export declare function ListGroup({ className, flush, horizontal, defaultSlot, ...rest }: ListGroupProps): any;
