import { WebCellProps, VNode } from 'web-cell';
import type { HTMLContainerProps } from 'web-utility';
import { NavProps } from '../Navigator/Nav';
export declare function TabPanel({ className, defaultSlot, ...rest }: HTMLContainerProps & WebCellProps): any;
export interface TabViewProps extends WebCellProps {
    mode?: NavProps['itemMode'] | 'list' | 'step';
    direction?: NavProps['direction'];
    tabAlign?: NavProps['align'];
    tabWidth?: NavProps['itemWidth'];
    tabScroll?: boolean;
    tabColor?: NavProps['background'];
    linear?: boolean;
    activeIndex?: number;
}
declare const TabView_base: import("web-cell").WebCellClass<TabViewProps, {}>;
export declare class TabView extends TabView_base {
    static isHeader(node: VNode): boolean;
    mode: TabViewProps['mode'];
    direction: NavProps['direction'];
    tabAlign: NavProps['align'];
    tabWidth: NavProps['itemWidth'];
    tabScroll: boolean;
    tabColor: NavProps['background'];
    linear: boolean;
    set activeIndex(activeIndex: number);
    get type(): "nav" | "list" | "step";
    get headers(): HTMLElement[];
    get bodies(): HTMLElement[];
    connectedCallback(): Promise<void>;
    turnTo(index?: number): Promise<void>;
    handleClick(event: MouseEvent): void;
    handleFocus(event: FocusEvent, target: HTMLElement): void;
    handleSubmit(event: Event, form: HTMLFormElement): void;
    handleReset(event: Event, form: HTMLFormElement): void;
    updatedCallback(): void;
    fixAttributes(): void;
    render({ direction, tabAlign, mode, tabWidth, tabScroll, tabColor }: TabViewProps): any;
}
export {};
