import { WebCellProps } from 'web-cell';
import type { HTMLTableCellProps, BaseFieldProps } from 'web-utility';
import { CommonColors } from '../utility/constant';
import { ToggleFieldProps } from '../Form/ToggleField';
import { FieldProps } from '../Form/Field';
export interface TableProps extends WebCellProps {
    theme?: CommonColors;
    center?: boolean;
    border?: boolean;
    striped?: boolean;
    hover?: boolean;
    small?: boolean;
    responsive?: '' | 'sm' | 'md' | 'lg' | 'xl';
}
export declare function Table({ className, theme, center, border, striped, hover, small, responsive, defaultSlot, ...rest }: TableProps): any;
declare global {
    interface HTMLElementEventMap {
        check: CustomEvent;
    }
}
export interface TableRowProps extends WebCellProps, Pick<ToggleFieldProps, 'name' | 'checked' | 'indeterminate'> {
    type?: 'head' | 'body' | 'foot';
    onCheck?: (event: CustomEvent) => any;
}
export declare function TableRow({ type, checked, indeterminate, name, defaultSlot, ...rest }: TableRowProps): any;
export interface InputCellProps extends WebCellProps, HTMLTableCellProps, BaseFieldProps {
    is?: FieldProps['is'];
    type?: FieldProps['type'];
}
export declare function InputCell({ className, style, colSpan, rowSpan, is, type, defaultSlot, ...rest }: InputCellProps): any;
