import { WebCellProps, VNodeChildElement, VNode } from 'web-cell';
import type { HTMLButtonProps, HTMLHyperLinkProps } from 'web-utility';
import { CommonColors } from '../utility/constant';
import { IconProps } from '../Reminder/Icon';
export interface ButtonProps extends HTMLButtonProps, HTMLHyperLinkProps, WebCellProps {
    color?: CommonColors | 'link';
    outline?: boolean;
    size?: 'sm' | 'lg';
    block?: boolean;
}
export declare function Button({ className, type, disabled, href, target, tabIndex, color, outline, size, block, defaultSlot, ...rest }: ButtonProps): any;
export declare function isButton(node: VNodeChildElement): node is VNode;
export declare type IconButtonProps = IconProps & ButtonProps;
export declare function IconButton({ className, name, ...button }: IconButtonProps): any;
export declare function CloseButton({ className, defaultSlot, ...rest }: ButtonProps): any;
