import { WebCellProps, VNodeChildElement, VNode } from 'web-cell';
import type { HTMLInputProps, NumberFieldProps, TextFieldProps } from 'web-utility';
import type { ToggleFieldProps } from './ToggleField';
export interface FieldProps extends WebCellProps, HTMLInputProps, Omit<TextFieldProps, 'size'>, NumberFieldProps, Pick<ToggleFieldProps, 'checked' | 'indeterminate'> {
    is?: 'input' | 'output' | 'select' | 'textarea';
    size?: 'sm' | 'lg' | number;
    multiple?: boolean;
    valid?: boolean;
    label?: string;
    fileButton?: string;
}
export declare function Field({ is, type, className, id, size, defaultValue, valid, label, fileButton, defaultSlot, ...rest }: FieldProps): any;
export declare function isField(node: VNodeChildElement): node is VNode;
