import { WebFieldProps, WebFieldState } from 'web-cell';
export interface UploadHandler {
    progress?: {
        [Symbol.asyncIterator](): AsyncGenerator<ProgressEvent>;
    };
    path: Promise<string>;
}
export declare type UploadEvent = CustomEvent<{
    file: File;
    path: string;
}>;
declare global {
    interface HTMLElementEventMap {
        upload: UploadEvent;
    }
}
export interface FileUploaderProps extends WebFieldProps {
    transport(file: File): UploadHandler;
    onUpload?(event: UploadEvent): any;
}
interface FileUploaderState extends WebFieldState {
    percent: number;
}
declare const FileUploader_base: import("web-cell").WebFieldClass<FileUploaderProps, FileUploaderState>;
export declare class FileUploader extends FileUploader_base {
    transport: FileUploaderProps['transport'];
    state: {
        percent: number;
    };
    get percent(): number;
    formAssociatedCallback(form: HTMLFormElement): void;
    upload: () => Promise<void>;
    render({ defaultSlot }: FileUploaderProps, { percent }: FileUploaderState): any;
}
export {};
