import { WebFieldProps } from 'web-cell';
import type { TextFieldProps } from 'web-utility';
import Quill, { QuillOptionsStatic } from 'quill';
import './HTMLEditor.less';
export interface HTMLEditorProps extends TextFieldProps, WebFieldProps {
    theme?: 'bubble' | 'snow';
    options?: QuillOptionsStatic;
    upload?(file: File): Promise<string>;
}
declare const HTMLEditor_base: import("web-cell").WebFieldClass<HTMLEditorProps, import("web-cell").WebFieldState>;
export declare class HTMLEditor extends HTMLEditor_base {
    get type(): string;
    theme: HTMLEditorProps['theme'];
    readOnly?: boolean;
    placeholder?: string;
    options?: QuillOptionsStatic;
    upload?: HTMLEditorProps['upload'];
    protected box?: Quill;
    set defaultValue(defaultValue: string);
    set value(value: string);
    get value(): string;
    connectedCallback(): Promise<void>;
    /**
     * @see https://quilljs.com/docs/modules/toolbar/#container
     */
    protected boot: (node: HTMLElement) => Promise<void>;
    updatedCallback(): Promise<any>;
    render({ theme, defaultSlot }: HTMLEditorProps): any;
}
export {};
