import { WebCellProps } from 'web-cell';
import type { HTMLFieldProps } from 'web-utility';
import { FormFieldProps } from './FormField';
import { ButtonProps } from './Button';
import { ValidableFieldProps } from './Form';
export interface ToggleFieldProps extends WebCellProps, HTMLFieldProps, ValidableFieldProps {
    type: 'radio' | 'checkbox';
    checked?: boolean;
    indeterminate?: boolean;
    switch?: boolean;
    inline?: boolean;
}
export declare function ToggleField({ className, type, checked, indeterminate, switch: Switch, inline, id, defaultSlot, validMode, validMessage, invalidMessage, ...rest }: ToggleFieldProps): any;
export interface ToggleOption {
    title: string;
    value?: string;
    color?: ButtonProps['color'];
}
export interface ToggleGroupProps extends FormFieldProps {
    type: ToggleFieldProps['type'];
    options: ToggleOption[];
    value?: string;
    color?: ButtonProps['color'];
}
export declare function ToggleGroup({ className, options, value, color, type, name, defaultSlot, ...rest }: ToggleGroupProps): any;
