import { WebCellProps, VNodeChildElement } from 'web-cell';
export interface CarouselCaptionProps extends WebCellProps {
    title?: string;
    detail?: string;
}
export declare function CarouselCaption({ className, style, title, detail, defaultSlot, ...rest }: CarouselCaptionProps): any;
export interface CarouselItemProps extends CarouselCaptionProps {
    image?: string;
}
export declare function CarouselItem({ className, defaultSlot, image, title, detail, ...rest }: CarouselItemProps): any;
export interface CarouselProps extends WebCellProps {
    mode?: 'slide' | 'fade';
    controls?: boolean;
    indicators?: boolean;
    interval?: number;
    activeIndex?: number;
}
declare const CarouselView_base: import("web-cell").WebCellClass<CarouselProps, {}>;
export declare class CarouselView extends CarouselView_base {
    UID: string;
    mode: CarouselProps['mode'];
    controls: boolean;
    indicators: boolean;
    set interval(interval: number);
    activeIndex: number;
    private slideBox?;
    set defaultSlot(defaultSlot: VNodeChildElement[]);
    turnTo(index?: number): Promise<void>;
    turnBack(): Promise<void>;
    private timer;
    private pause;
    connectedCallback(): void;
    disconnectedCallback(): void;
    handlePause: ({ type }: MouseEvent) => boolean;
    handleSwitch: (this: Node, event: Event) => any;
    private swipeStart;
    handleSwipeStart: ({ touches: [{ pageX, pageY }] }: TouchEvent) => {
        x: number;
        y: number;
    };
    handleSwipeEnd: ({ changedTouches: [{ pageX, pageY }] }: TouchEvent) => Promise<void>;
    render({ mode, indicators, activeIndex, defaultSlot, controls }: CarouselProps): any;
}
export {};
