import { WebCellProps, WebCellElement, VNodeChildElement, VNode } from 'web-cell';
import type { HTMLHyperLinkProps } from 'web-utility';
import { ButtonProps } from '../Form/Button';
export interface DropMenuItemProps extends WebCellProps, HTMLHyperLinkProps {
    active?: boolean;
    disabled?: boolean;
}
export declare function DropMenuItem({ href, active, disabled, className, tabIndex, defaultSlot, ...rest }: DropMenuItemProps): any;
export declare function isDropMenuItem(node: VNodeChildElement): node is VNode;
export interface DropMenuProps extends WebCellProps {
    caption: WebCellElement;
    buttonColor?: ButtonProps['color'];
    buttonSize?: ButtonProps['size'];
    alignType?: 'left' | 'right';
    alignSize?: '' | 'sm' | 'md' | 'lg' | 'xl';
    direction?: 'up' | 'down' | 'left' | 'right';
    href?: HTMLHyperLinkProps['href'];
    target?: HTMLHyperLinkProps['target'];
    open?: boolean;
}
declare const DropMenu_base: import("web-cell").WebCellClass<DropMenuProps, {}>;
export declare class DropMenu extends DropMenu_base {
    static is({ sel }: VNode): boolean;
    UID: string;
    caption: WebCellElement;
    buttonColor: ButtonProps['color'];
    buttonSize: ButtonProps['size'];
    alignType: DropMenuProps['alignType'];
    alignSize: DropMenuProps['alignSize'];
    direction: DropMenuProps['direction'];
    href: string;
    target: DropMenuProps['target'];
    set open(open: boolean);
    outClose: ({ target }: MouseEvent) => false;
    escapeClose: ({ code }: KeyboardEvent) => false;
    connectedCallback(): void;
    disconnectedCallback(): void;
    itemClose(): void;
    updatedCallback(): void;
    renderButton(): any;
    render({ alignType, alignSize, open, defaultSlot, href, direction }: DropMenuProps): any;
}
export {};
