import { WebCellProps, VNodeChildElement, VNode } from 'web-cell';
import type { HTMLHyperLinkProps } from 'web-utility';
import { JustityType, BackgroundColors } from '../utility/constant';
import './Nav.less';
export interface NavLinkProps extends WebCellProps, HTMLHyperLinkProps {
    disabled?: boolean;
    active?: boolean;
}
export declare function NavLink({ defaultSlot, disabled, active, className, tabIndex, title, ...rest }: NavLinkProps): any;
export declare function isNavLink(node: VNodeChildElement): node is VNode;
export interface NavProps extends WebCellProps {
    direction?: 'row' | 'column';
    align?: keyof typeof JustityType;
    itemMode?: 'tabs' | 'pills' | 'masthead';
    itemWidth?: 'fill' | 'justified';
    scrollable?: boolean;
    background?: BackgroundColors;
}
export declare function Nav({ className, direction, align, itemMode, itemWidth, defaultSlot, scrollable, background, ...rest }: NavProps): any;
