import { WebCellProps, WebCellElement } from 'web-cell';
import { Size, Theme, BackgroundColors } from '../../utility/constant';
export interface BannerNavBarProps extends WebCellProps {
    narrow?: boolean;
    expand?: false | keyof typeof Size;
    fixed?: 'top' | 'bottom';
    direction?: 'left' | 'right';
    theme?: keyof typeof Theme;
    background?: BackgroundColors;
    brand?: WebCellElement;
    open?: boolean;
}
declare const BannerNavBar_base: import("web-cell").WebCellClass<BannerNavBarProps, {}>;
export declare class BannerNavBar extends BannerNavBar_base {
    UID: string;
    narrow: boolean;
    fixed: string;
    direction: string;
    theme: string;
    background: string;
    brand: string;
    open: boolean;
    outClose: ({ target }: MouseEvent) => void;
    escapeClose: ({ code }: KeyboardEvent) => void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    updatedCallback(): void;
    render({ brand, open, defaultSlot, theme, narrow, direction }: BannerNavBarProps): any;
}
export {};
