import { Theme, BackgroundColors } from '../../utility/constant';
import { NavProps } from '../Nav';
import { BannerNavBarProps } from './BannerNavBar';
import './NavBar.less';
export interface NavBarProps extends BannerNavBarProps {
    offcanvas?: boolean;
    menuAlign?: NavProps['align'];
}
declare const NavBar_base: import("web-cell").WebCellClass<NavBarProps, {}>;
export declare class NavBar extends NavBar_base {
    UID: string;
    narrow: boolean;
    toggleClass<T>(classResolver: (value: T) => string, newValue: T, oldValue?: T): void;
    set expand(expand: BannerNavBarProps['expand']);
    set fixed(fixed: BannerNavBarProps['fixed']);
    direction: string;
    offcanvas: boolean;
    set theme(theme: keyof typeof Theme);
    set background(background: BackgroundColors);
    menuAlign: string;
    brand: string;
    open: boolean;
    get expanded(): boolean;
    outClose: ({ target }: MouseEvent) => void;
    escapeClose: ({ code }: KeyboardEvent) => void;
    private resizer;
    connectedCallback(): void;
    disconnectedCallback(): void;
    updatedCallback(): void;
    clickClose(): void;
    renderContent({ menuAlign, defaultSlot, expand, brand, open, offcanvas }: NavBarProps): any;
    render({ narrow, direction, ...rest }: NavBarProps): any;
}
export {};
