export interface ContentMeta {
    URL?: string;
    title?: string;
    description?: string;
    summary?: string;
    source?: string;
    image?: string;
    appKey?: string;
}
export declare const URI_map: {
    Qzone: {
        color: string;
        icon: string;
        getURI: ({ URL, title, description, summary, source, image }: ContentMeta) => string;
    };
    QQ: {
        color: string;
        getURI: ({ URL, title, description, summary, source, image }: ContentMeta) => string;
    };
    Weixin: {
        color: string;
        getURI: ({ URL }: ContentMeta) => string;
    };
    Weibo: {
        color: string;
        getURI: ({ URL, title, image, appKey }: ContentMeta) => string;
    };
    Douban: {
        color: string;
        icon: string;
        getURI: ({ URL, title, description, image }: ContentMeta) => string;
    };
    Facebook: {
        color: string;
        getURI: ({ URL }: ContentMeta) => string;
    };
    Twitter: {
        color: string;
        getURI: ({ URL, title, source }: ContentMeta) => string;
    };
};
export declare type VendorName = keyof typeof URI_map;
