import { TextColors } from '../utility/constant';
import { IconProps } from './Icon';
export interface FAIconProps extends Omit<IconProps, 'size'> {
    group?: 'solid' | 'brands' | 'regular' | 'light' | 'duotone';
    size?: 'xs' | 'sm' | 'lg' | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10;
    fixedWidth?: boolean;
    color?: TextColors;
    inverse?: boolean;
    border?: boolean;
    rotate?: 90 | 180 | 270;
    flip?: 'horizontal' | 'vertical' | 'both';
    animation?: 'spin' | 'pulse';
    pull?: 'left' | 'right';
    stack?: 1 | 2;
    listItem?: boolean;
}
export declare function FAIcon({ group, name, size, fixedWidth, color, inverse, border, rotate, flip, animation, pull, stack, listItem, className, defaultSlot, ...rest }: FAIconProps): any;
export interface BGIconProps extends FAIconProps {
    type: 'square' | 'circle';
}
export declare function BGIcon({ size, color, className, type, ...rest }: BGIconProps): any;
