export declare enum Status {
    primary = "primary",
    secondary = "secondary",
    success = "success",
    danger = "danger",
    warning = "warning",
    info = "info"
}
export declare enum Theme {
    light = "light",
    dark = "dark"
}
export declare enum Color {
    body = "body",
    muted = "muted",
    white = "white",
    black = "black"
}
export declare type CommonColors = keyof typeof Status | keyof typeof Theme;
export declare type TextColors = CommonColors | keyof typeof Color;
export declare type BackgroundColors = CommonColors | 'white' | 'transparent';
export declare enum Size {
    xl = 1200,
    lg = 992,
    md = 768,
    sm = 576,
    xs = 0
}
export declare enum Position {
    left = "left",
    right = "right",
    top = "top",
    bottom = "bottom"
}
export declare enum JustityType {
    start = "start",
    center = "center",
    end = "end",
    between = "between",
    around = "around"
}
